
<div class="container bg-light mt-5 col-4">
    <h1 class="text-center">Login</h1>
    <form [formGroup]="form" (ngSubmit)="onSubmit()">
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text">
            <i class="fa fa-envelope"></i>
          </span>
        </div>
        <input
          type="text"
          class="form-control"
          formControlName="username"
          placeholder="username"
        />
      </div>
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" >
            <i class="fa fa-lock"></i>
          </span>
        </div>
        <input
          type="text"
          class="form-control"
          formControlName="password"
          placeholder="password"
        />
      </div>
      <button type="submit" class="btn btn-primary btn-block">Login</button>
  
        <div class="mt-3 text-center">
          <a class="text-primary" routerLink="register">Register New User</a>
        </div>
      
    </form>
  </div>
  